protected/controllers/InfluencerController.php
<?php

class InfluencerController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @return array action filters
	 */
	public function filters()
	{
		return array(
			'accessControl', // perform access control for CRUD operations
		);
	}

	/**
	 * Specifies the access control rules.
	 * This method is used by the 'accessControl' filter.
	 * @return array access control rules
	 */
	public function accessRules()
	{
		return array(
			array('allow', // allow authenticated user to perform 'create' and 'update' actions
				'actions'=>array('index', 'view', 'create','update','delete', 'seeds', 'export'),
				'users'=>array('@'),
			),
			array('deny',  // deny all users
				'users'=>array('*'),
			),
		);
	}

	/**
	 * Displays a particular model.
	 * @param integer $id the ID of the model to be displayed
	 */
	public function actionView($id)
	{	
		$this->render('view',array(
			'model'=>$this->loadModel($id),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model = new Influencer;

		if (isset($_POST['Influencer']))
		{
			$model->attributes = array_map('trim', $_POST['Influencer']);
			$model->added_by_user_id = Yii::app()->user->info->id;

			if ($model->validate())
			{
				if ($this->additionalFormValidation($model))
				{
					if ($model->save())
					{
						Yii::app()->user->setFlash('success', 'Item successfully created!');
						$this->redirect(array('view','id'=>$model->id));
					}
					else 
						Yii::app()->user->setFlash('error', 'Unable to save record!');
				}
			}
		}

		$this->render('create',array(
			'model'=>$model,
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 * @param integer $id the ID of the model to be updated
	 */
	public function actionUpdate($id)
	{
		$model = $this->loadModel($id);

		if ($model) 
		{ 
			if (isset($_POST['Influencer']))
			{
				$model->attributes = array_map('trim', $_POST['Influencer']);
				$model->added_by_user_id = Yii::app()->user->info->id;

				if ($model->validate())
				{
					if ($this->additionalFormValidation($model))
					{
						if ($model->save())
						{
							Yii::app()->user->setFlash('success', 'Item successfully updated!');
							$this->redirect(array('view','id'=>$model->id));
						}
						else 
							Yii::app()->user->setFlash('error', 'Unable to save record!');
					}
				}
			}
		}
		else 
			Yii::app()->user->setFlash('error', 'Item doesn\'t exist!');

		$this->render('update',array(
			'model'=>$model,
		));
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'admin' page.
	 * @param integer $id the ID of the model to be deleted
	 */
	public function actionDelete($id)
	{
		$model = $this->loadModel($id);

		$model->status = Influencer::STATUS_DELETED;

		if ($model->save())
		{
			Yii::app()->user->setFlash('success', 'Item successfully delete.');
			$this->redirect(['index']);
		}
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$model = new Influencer;

		$filterParams = $this->prepareFilterParams();
		$queryAdditionalCond = $this->prepareAdditionalCond($filterParams);

		$query = '
			SELECT infl.*, user.username FROM {{influencer}} AS infl
			INNER JOIN {{user}} AS user ON user.id = infl.added_by_user_id
			WHERE 1
			'. $queryAdditionalCond .'
			AND infl.status = '. Influencer::STATUS_ACTIVE .'
			ORDER BY infl.id DESC
		';

		$command = Yii::app()->db->createCommand($query);
		$influencers = $command->queryAll();

		$influencersDP = new CArrayDataProvider($influencers);
		$influencersDP->getPagination()->pageSize = 100;

		$this->render('index',array(
			'model' => $model,
			'filterParams' => $filterParams,
			'influencersDP'=>$influencersDP,
		));
	}

	public function actionExport() 
	{
		header('Content-Type: application/csv');
		header('Content-Disposition: attachment; filename="InfluencerExport.csv";');

		$filterParams = $this->prepareFilterParams();
		$queryAdditionalCond = $this->prepareAdditionalCond($filterParams);

		$query = '
			SELECT infl.*, user.username FROM {{influencer}} AS infl
			INNER JOIN {{user}} AS user ON user.id = infl.added_by_user_id
			WHERE 1
			'. $queryAdditionalCond .'
			AND infl.status = '. Influencer::STATUS_ACTIVE .'
			ORDER BY infl.id DESC
		';

		$command = Yii::app()->db->createCommand($query);
		$influencers = $command->queryAll();

		$influencersDP = new CArrayDataProvider($influencers);
		$influencersDP->getPagination()->pageSize = $influencersDP->totalItemCount;

		$exportColumns = [
			'Date Created',
			'Added By',
			'Full Name',
			'Seeding Plaform',
			'Followers',
			'TikTok Handle',
			'Instgram Handle',	
			'Youtube Handle',
			'Following Tier',	
			'Demographic',
			'Segment',
			'Notes'
		];

		$exportRows = [];

		$exportRows[] = $exportColumns;
		if (count($influencersDP->rawData) > 0) {
			foreach ($influencersDP->rawData as $data) {
				$dateCreated = date('Y-m-d', strtotime('now')) . ' @ ' . date('h:m A', strtotime('now'));
				$fullName = $data['first_name'] . ' ' . $data['last_name'];

				$exportRows[] = [
					$dateCreated,
					$data['username'], // Added By
					$fullName, // Full Name
					Influencer::getSeedingPlatformLabel($data['seeding_platform']), // Seeding Plaform
					$data['followers'], // Followers
					$data['handle_tiktok'], // TikTok Handle
					$data['handle_instagram'], // Instgram Handle
					$data['handle_youtube'], // Youtube Handle
					Influencer::getFollowingTierLabel($data['following_tier']), // Tier
					Influencer::getDemographicLabel($data['demographic']), // Demographic
					Influencer::getSegmentLabel($data['segment']), // Segment
					$data['notes'], // Notes
				];
			}
		}
		
		// Open a file in write mode ('w')
		// $fp = fopen('export/influencerExportData-'.date('Y-m-d').'.csv', 'w+');
		
		$fp = fopen('php://output', 'w');

		// Loop through file pointer and a line
		foreach ($exportRows as $fields) {
			fputcsv($fp, $fields);
		}
		
		fclose($fp);
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new Influencer('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['Influencer']))
			$model->attributes=$_GET['Influencer'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Seeds data
	 */
	public function actionSeeds($key)
	{
		if ($key != '86f7e437')
			throw new CHttpException(403, 'Forbidden to access the page!');
		
		$itemCount = 20;
		for ($i = 0; $itemCount > $i; $i++) {
			$model = new Influencer;

			$model->first_name = 'Jonh';
			$model->last_name = 'Duh';
			$model->seeding_platform = Influencer::SEEDING_PLATFORM_YOUTUBE;
			$model->followers = 1000;
			$model->handle_tiktok = 'JohnDuTk';
			$model->handle_instagram = 'JohnDuIns';
			$model->handle_youtube = 'JohnDuYT';
			$model->hyperlink_tiktok = 'https://www.google.com/';
			$model->hyperlink_instagram = 'https://www.google.com/';
			$model->hyperlink_youtube = 'https://www.google.com/';
			$model->following_tier = Influencer::FOLLOWING_TIER_MICRO;
			$model->demographic = Influencer::DEMOGRAPHIC_GENZ;
			$model->segment = Influencer::SEGMENT_SKINFLUENCER;
			$model->notes = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do';
			$model->added_by_user_id = 25;
			
			$model->save(false);
		}

		echo 'Success! - '.strtotime('now');
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 * @param integer $id the ID of the model to be loaded
	 * @return Influencer the loaded model
	 * @throws CHttpException
	 */
	public function loadModel($id)
	{
		$model=Influencer::model()->findByPk($id);
		if($model===null)
			throw new CHttpException(404,'The requested page does not exist.');
		return $model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param Influencer $model the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='influencer-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}

	protected function prepareAdditionalCond($filterParams) 
	{
		$cond = '';

		if ($filterParams['date_created_from'] != '' && $filterParams['date_created_to'] != '')
			$cond .= ' AND DATE(infl.date_created) BETWEEN "'. $filterParams['date_created_from'] .'" AND "'. $filterParams['date_created_to'] .'"';

		if ($filterParams['full_name'] != '')
			$cond .= ' AND CONCAT(infl.first_name, " ", infl.last_name) LIKE "%'. $filterParams['full_name'] .'%"';

		if ($filterParams['added_by_user_id'] != '')
			$cond .= ' AND infl.added_by_user_id = ' . $filterParams['added_by_user_id'];			
			
		if (!empty($_GET['seeding_platform']))
			$cond .= ' AND infl.seeding_platform = ' . $filterParams['seeding_platform'];

		if (!empty($_GET['followers']))
			$cond .= ' AND infl.followers < ' . $filterParams['followers'];

		if (!empty($_GET['handle_tiktok']))
			$cond .= ' AND infl.handle_tiktok like "%' . $filterParams['handle_tiktok'] . '%"';

		if (!empty($_GET['handle_instagram']))
			$cond .= ' AND infl.handle_instagram like "%' . $filterParams['handle_instagram'] . '%"';

		if (!empty($_GET['handle_youtube']))

protected/views/influencer/_form.php

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'influencer-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

<div class="col-md-12">
	<?php echo $form->errorSummary($model); ?>
</div>

<div class="col-md-12">
	<?php $this->widget('Flash', array(
		'flashes' => Yii::app()->user->getFlashes()
	)); ?>
</div>

<div class="col-md-6">
	<div class="form-group">
		<?php echo $form->labelEx($model, 'first_name'); ?>
		<?php echo $form->textField($model, 'first_name', ['class' => 'form-control', 'placeholder' => 'Enter First Name']); ?>
	</div>
</div>

<div class="col-md-6">
	<div class="form-group">
		<?php echo $form->labelEx($model, 'last_name'); ?>
		<?php echo $form->textField($model, 'last_name', ['class' => 'form-control', 'placeholder' => 'Enter Last Name']); ?>
	</div>
</div>

<div class="col-md-6">
	<div class="form-group">
		<?php echo $form->labelEx($model, 'seeding_platform'); ?>
		<?php echo $form->dropDownList($model, 'seeding_platform', Influencer::getSeedingPlatformList(), [
			'empty' => 'Select Seedig Platform', 
			'class' => 'form-control']); ?>
	</div>
</div>

<div class="col-md-6">
	<div class="form-group">
		<?php echo $form->labelEx($model, 'followers'); ?>
		<?php echo $form->textField($model, 'followers', ['class' => 'form-control', 'placeholder' => 'Enter Followers Count']); ?>
	</div>
</div>

<div class="col-md-12">
	<hr>
</div>

<div class="col-md-4">
	<div class="form-group">
		<?php echo $form->labelEx($model, 'handle_tiktok'); ?>
		<?php echo $form->textField($model, 'handle_tiktok', ['class' => 'form-control', 'placeholder' => 'Enter TikTok Username']); ?>
	</div>
</div>

<div class="col-md-8">
	<div class="form-group">
		<?php echo $form->labelEx($model, 'hyperlink_tiktok'); ?>
		<?php echo $form->textField($model, 'hyperlink_tiktok', ['class' => 'form-control', 'placeholder' => 'Enter TikTok Link']); ?>
	</div>
</div>

<div class="col-md-4">
	<div class="form-group">
		<?php echo $form->labelEx($model, 'handle_instagram'); ?>
		<?php echo $form->textField($model, 'handle_instagram', ['class' => 'form-control', 'placeholder' => 'Enter Instagram Username']); ?>
	</div>
</div>

<div class="col-md-8">
	<div class="form-group">
		<?php echo $form->labelEx($model, 'hyperlink_instagram'); ?>
		<?php echo $form->textField($model, 'hyperlink_instagram',['class' => 'form-control', 'placeholder' => 'Enter Instagram Link']); ?>
	</div>
</div>

<div class="col-md-4">
	<div class="form-group">
		<?php echo $form->labelEx($model, 'handle_youtube'); ?>
		<?php echo $form->textField($model, 'handle_youtube', ['class' => 'form-control', 'placeholder' => 'Enter Youtube Username']); ?>
	</div>
</div>

<div class="col-md-8">
	<div class="form-group">
		<?php echo $form->labelEx($model, 'hyperlink_youtube'); ?>
		<?php echo $form->textField($model, 'hyperlink_youtube', ['class' => 'form-control', 'placeholder' => 'Enter Youtube Link']); ?>
	</div>
</div>

<div class="col-md-12">
	<hr>
</div>

<div class="col-md-4">
	<div class="form-group">
		<?php echo $form->labelEx($model, 'following_tier'); ?>
		<?php echo $form->dropDownList($model, 'following_tier', Influencer::getFollowingTierList(), ['empty' => 'Select Following Tier', 'class' => 'form-control']); ?>
	</div>
</div>

<div class="col-md-4">
	<div class="form-group">
		<?php echo $form->labelEx($model, 'demographic'); ?>
		<?php echo $form->dropDownList($model, 'demographic', Influencer::getDemographicList(), ['empty' => 'Select Demographic', 'class' => 'form-control']); ?>
	</div>
</div>

<div class="col-md-4">
	<div class="form-group">
		<?php echo $form->labelEx($model, 'segment'); ?>
		<?php echo $form->dropDownList($model, 'segment', Influencer::getSegmentList(), ['empty' => 'Select Segment', 'class' => 'form-control']); ?>
	</div>
</div>

<div class="col-md-12">
	<div class="form-group">
		<?php echo $form->labelEx($model, 'notes'); ?>
		<?php echo $form->textArea($model, 'notes', ['class' => 'form-control', 'rows' => 6, 'cols' => 50]); ?>
	</div>
</div>

<div class="col-md-12">
	<?php echo CHtml::submitButton($model->isNewRecord ? 'Create' : 'Save', ['class' => 'btn btn-primary']); ?>
</div>

<?php $this->endWidget(); ?>

protected/views/influencer/_search.php
<?php
/* @var $this InfluencerController */
/* @var $model Influencer */
/* @var $form CActiveForm */
?>

<div class="wide form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'action'=>Yii::app()->createUrl($this->route),
	'method'=>'get',
)); ?>

	<div class="row">
		<?php echo $form->label($model,'id'); ?>
		<?php echo $form->textField($model,'id'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model,'first_name'); ?>
		<?php echo $form->textField($model,'first_name',array('size'=>60,'maxlength'=>128)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model,'last_name'); ?>
		<?php echo $form->textField($model,'last_name',array('size'=>60,'maxlength'=>128)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model,'seeding_platform'); ?>
		<?php echo $form->textField($model,'seeding_platform'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model,'followers'); ?>
		<?php echo $form->textField($model,'followers'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model,'handle_tiktok'); ?>
		<?php echo $form->textField($model,'handle_tiktok',array('size'=>60,'maxlength'=>128)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model,'handle_instagram'); ?>
		<?php echo $form->textField($model,'handle_instagram',array('size'=>60,'maxlength'=>128)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model,'handle_youtube'); ?>
		<?php echo $form->textField($model,'handle_youtube',array('size'=>60,'maxlength'=>128)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model,'following_tier'); ?>
		<?php echo $form->textField($model,'following_tier'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model,'demographic'); ?>
		<?php echo $form->textField($model,'demographic'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model,'segment'); ?>
		<?php echo $form->textField($model,'segment'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model,'notes'); ?>
		<?php echo $form->textArea($model,'notes',array('rows'=>6, 'cols'=>50)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model,'added_by_user_id'); ?>
		<?php echo $form->textField($model,'added_by_user_id'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model,'date_created'); ?>
		<?php echo $form->textField($model,'date_created'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model,'date_updated'); ?>
		<?php echo $form->textField($model,'date_updated'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton('Search'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- search-form -->

protected/views/influencer/_view.php
<tr>
    <td><?php echo ($index+1)+($_GET['page']*100); ?></td>
    <td><?php echo date('Y-m-d', strtotime($data['date_created'])); ?> @ <?php echo date('h:m A', strtotime($data['date_created'])); ?></td>
    <td><?php echo $data['username']; ?></td>
    <td><?php echo $data['first_name'] . ' ' . $data['last_name']; ?></td>
    <td><?php echo Influencer::getSeedingPlatformLabel($data['seeding_platform']); ?></td>
    <td><?php echo $data['followers']; ?></td>
    <td><?php echo CHtml::link($data['handle_tiktok'], $data['hyperlink_tiktok'], ['target' => '_blank']); ?></td>
    <td><?php echo CHtml::link($data['handle_instagram'], $data['hyperlink_instagram'], ['target' => '_blank']); ?></td>
    <td><?php echo CHtml::link($data['handle_youtube'], $data['hyperlink_youtube'], ['target' => '_blank']); ?></td>
    <td><?php echo Influencer::getFollowingTierLabel($data['following_tier']); ?></td>
    <td><?php echo Influencer::getDemographicLabel($data['demographic']); ?></td>
    <td><?php echo Influencer::getSegmentLabel($data['segment']); ?></td>
    <td><?php echo $data['notes']; ?></td>
    <td>
        <?php echo CHtml::link('<span class="glyphicon glyphicon-search"></span>', ['view', 'id' => $data['id']]); ?>&nbsp;|&nbsp; 
        <?php echo CHtml::link('<span class="glyphicon glyphicon-edit"></span>', ['update', 'id' => $data['id']]); ?>&nbsp;|&nbsp;
        <?php echo CHtml::link('<span class="glyphicon glyphicon-trash"></span>', ['delete', 'id' => $data['id']], ['onclick' => 'return confirm("Are you sure you want to delete this item?")']); ?>
    </td>
</tr>

protected/views/influencer/index.php
<?php
/* @var $this InfluencerController */
/* @var $dataProvider CActiveDataProvider */

Yii::app()->clientScript->registerCssFile('https://code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css');
Yii::app()->clientScript->registerScriptFile('https://code.jquery.com/jquery-3.6.0.js', CClientScript::POS_END);
Yii::app()->clientScript->registerScriptFile('https://code.jquery.com/ui/1.13.1/jquery-ui.js', CClientScript::POS_END);

Yii::app()->clientScript->registerScript('general', "

$(document).ready(function() {
	var windowHeight = $(window).height();
	var panelHeight = windowHeight*0.78;

	$('.manage .panel-body').css({height: panelHeight+'px'});

	$('#date_created_from, #date_created_to').datepicker({dateFormat: 'yy-mm-dd'});
});

");

?>

<style>
.container {width: 90% !important;}
.summary {text-align: left !important;}
.pager {text-align: left !important;}
</style>

<div class="container">
	<div class="col-md-12">
		<?php $this->widget('Flash', array(
			'flashes' => Yii::app()->user->getFlashes()
		)); ?>
	</div>
	<div class="col-md-12">
		<div class="panel panel-default">
			<div class="panel-heading">
				<span><strong>Filter</strong></span>
			</div>
			<div class="panel-body">
				<?php echo CHtml::beginForm('index', 'GET'); ?>
					<div class="row">
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('created') . ' <em>(From)</em>', 'date_created_from'); ?>
								<?php echo CHtml::textField('date_created_from', $filterParams['date_created_from'], ['class' => 'form-control input-sm', 'autocomplete' => 'off']); ?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('created') . ' <em>(To)</em>', 'date_created_from'); ?>
								<?php echo CHtml::textField('date_created_to', $filterParams['date_created_to'], ['class' => 'form-control input-sm', 'autocomplete' => 'off']); ?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('added_by'), 'added_by'); ?>
								<?php echo CHtml::dropDownList('added_by_user_id', $filterParams['added_by_user_id'], CHtml::listData(User::model()->findAll(), 'id', 'username'), ['class' => 'form-control input-sm', 'empty' => 'All']); ?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('full_name'), 'full_name'); ?>
								<?php echo CHtml::textField('full_name', $filterParams['full_name'], ['class' => 'form-control input-sm']); ?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('seeding_platform'), 'seeding_platform'); ?>
								<?php echo CHtml::dropDownList('seeding_platform', $filterParams['seeding_platform'], Influencer::getSeedingPlatformList(), ['class' => 'form-control input-sm', 'empty' => 'All']); ?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('followers') . ' (<em>less than or equal</em>)', 'followers'); ?>
								<?php echo CHtml::textField('followers', $filterParams['followers'], ['class' => 'form-control input-sm']); ?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('handle_tiktok'), 'handle_tiktok'); ?>
								<?php echo CHtml::textField('handle_tiktok', $filterParams['handle_tiktok'], ['class' => 'form-control input-sm']); ?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('handle_instagram'), 'handle_instagram'); ?>
								<?php echo CHtml::textField('handle_instagram', $filterParams['handle_instagram'], ['class' => 'form-control input-sm']); ?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('handle_youtube'), 'handle_youtube'); ?>
								<?php echo CHtml::textField('handle_youtube', $filterParams['handle_youtube'], ['class' => 'form-control input-sm']); ?>
							</div>
						</div>
						<div class="col-md-2">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('following_tier'), 'following_tier'); ?>
								<?php echo CHtml::dropDownList('following_tier', $filterParams['following_tier'], Influencer::getFollowingTierList(), ['class' => 'form-control input-sm', 'empty' => 'All']); ?>
							</div>
						</div>
						<div class="col-md-2">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('demographic'), 'demographic'); ?>
								<?php echo CHtml::dropDownList('demographic', $filterParams['demographic'], Influencer::getDemographicList(), ['class' => 'form-control input-sm', 'empty' => 'All']); ?>
							</div>
						</div>
						<div class="col-md-2">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('segment'), 'segment'); ?>
								<?php echo CHtml::dropDownList('segment', $filterParams['segment'], Influencer::getSegmentList(), ['class' => 'form-control input-sm', 'empty' => 'All']); ?>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<?php echo CHtml::label($model->getAttributeLabel('notes'), 'notes'); ?>
								<?php echo CHtml::textField('notes', $filterParams['notes'], ['class' => 'form-control input-sm']); ?>
							</div>
						</div>
						<div class="col-md-12 text-right">
							<?php echo CHtml::link('Clear', ['influencer/index'], ['class' => 'btn btn-default']); ?>
							<?php echo CHtml::submitButton('Submit', ['class' => 'btn btn-primary']); ?>
						</div>
					</div>
				<?php echo CHtml::endForm(); ?>
			</div>
		</div>
	</div>
	<div class="col-md-12">
		<div class="panel panel-default manage">
			<div class="panel-heading">
				<div class="row">
					<div class="col-md-6">
						<span><strong>Manage</strong></span>
					</div>
					<div class="col-md-6 text-right">
						<?php echo CHtml::link('<span class="glyphicon glyphicon-cloud-download"></span>', Yii::app()->createUrl('influencer/export').'?'.http_build_query($filterParams)); ?>
					</div>
				</div>
			</div>
			<div class="panel-body" style="overflow: scroll;">
				<div style="width: 2000px;">
					<?php $this->widget('zii.widgets.CListView', array(
						'id' => 'influencer-list-view',
						'dataProvider' => $influencersDP,
						'itemView' => '_view',
						'template' => '
							{summary}
							<table class="table table-hover table-condensed"">
								<thead>
									<tr class="active">
										<th>#</th>
										<th>Date Created</th>
										<th>Added By</th>
										<th>Full Name</th>
										<th>Seeding Plaform</th>
										<th>Followers</th>	
										<th>TikTok Handle</th>
										<th>Instgram Handle</th>
										<th>Youtube Handle</th>
										<th>Following Tier</th>
										<th>Demographic</th>
										<th>Segment</th>
										<th>Notes</th>
										<th>Action</th>
									</tr>
								</thead>
								<tbody>
									{items}
								</tbody>
							</table>
							{pager}
						',
						'emptyText' => '<tr><td colspan="14">No result found</td></tr>'
					)); ?>
				</div>
			</div>
			</div>
		</div>
	</div>
</div>